Description

Supportanfrage

On our CI (jenkins) we want to build (not run) ADTF3 configurations.

However, unlinke in ADTF2, we need a valid license for every jenkins job just to generate to configuration.

This is not feasible - the plugin description shall be buidable without a license.

Lösung

The Plugin Description Generator itself is not protected by license, but certain components it loads are.

Without a valid Developer license on the build machine, you are not allowed to build anyway and would violate the license terms.

Please equip your build machines with developer licenses, as this has not changed in ADTF in any time, even if it was possible to

build without a license (violating the license terms)

In ADTF 3.x this topic attracted attention and you will have to deal with it license term wise.

Maybe a License Server setup will be the most efforted way, the new (but currently not implemented) license mechanism will also

provide a option for that, but this won't be available soon.

So License Server or node locked licenses (can also be longer than one year) must be done once on each machine.

History

#2 - 2020-03-10 10:45 - hidden

- Project changed from Public Support to 11

- Status changed from New to In Progress

- Topic set to ADTF::License

#3 - 2020-03-10 11:04 - hidden

- Status changed from In Progress to Customer Feedback Required

Hello,

The Plugin Description Generator itself is not protected by license, but certain components it loads are.

You have already answered your own question:

Without a valid Developer license on the build machine, you are not allowed to build anyway and would violate the license terms.

Developer-Lizenz = ADTF SDK & Tools

Please equip your build machines with developer licenses, as this has not changed in ADTF in any time, even if it was possible to build without a

license (violating the license terms)

In ADTF 3.x this topic attracted attention and you will have to deal with it license term wise.

Best regards
@Florian

any remarks on this matter?

#4 - 2020-03-10 11:37 - hidden

@Florian

any remarks on this matter?

 No, that's exactly the situation regarding development license conditions and contracts, you have to bring a valid license to each build machine.

Maybe a License Server setup will be the most efforted way, the new (but currently not implemented) license mechanism will also provide a option for

that, but this won't be available soon.

So License Server or node locked licenses (can also be longer than one year) must be done once on each machine.

#5 - 2020-03-13 21:19 - hidden

Michael Grünwald wrote:

Please equip your build machines with developer licenses, as this has not changed in ADTF in any time, even if it was possible to build without a

license (violating the license terms)

 Anyway our CI servers will get licenses for automated ADTF runs. I was just wondering why builds (which should be as fast as possible on CI) are

affected with license-checks.

any remarks on this matter?

 No, if this is the policy we have to accept it.

#6 - 2020-03-16 09:03 - hidden

- Project changed from 11 to Public Support

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Resolution set to Solved Issue

#9 - 2020-07-07 12:49 - hidden

- Status changed from To Be Closed to Closed
